/*


	 /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
	/                                                                      \
	\      ___   _____   _____   _   __           _____   _____  __  __    /
	/     |_  | |___  | |  _  | | | / /          |  _  \ |  _  | \ \/ /    \
	\       | |  ___| | | | |_| | |/ /           | |_/ / | | | |  \  /     /
	/    _  | | |  _  | | |  _  |   <    in the  |  _ <  | | | |   ><      \
	\   | |_| | | |_| | | |_| | | |\ \           | |_| \ | |_| |  /  \     /
	/   |_____| |_____| |_____| |_| \_\          |_____/ |_____| /_/\_\    \
	\                                                                      /
	/                                                                      \
	\                                                                      /
	/             C    O    M    P    U    T    I    N    G                \
	\                                                                      /
	 \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/


*/


//============================================================================
// Module  : GAME HEADER
// Contents: general definitions for game
// Date    : 03.04.1996
// Updates : (none)
//============================================================================


//includes
#include <stdio.h>
#include <stdlib.h>
#include <conio.h> 
#include <time.h>
#include <string.h>
#include <dpmi.h>
#include <go32.h>
#include <bios.h>


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// Declarations: global for GAME
// Modules     : all
//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
// Notes       : (none)
// Date        : 03.04.1996
// Updates     : (none)
//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

//type definitions
#define DWORD     unsigned long
#define WORD      unsigned short
#define BYTE      unsigned char

//function return definitions
#define OK     1
#define ERROR  0

//switch status
#define ON     1
#define OFF    0

//boolean types
#define TRUE   1
#define FALSE  0

//variable and function memory locking
#define END_OF_FUNCTION(x) void x##_end() {}
#define LOCK_VARIABLE(x) _go32_dpmi_lock_data((void *)&x, sizeof(x))
#define LOCK_FUNCTION(x) _go32_dpmi_lock_code(x, (long)x##_end - (long)x)

//disable and enable interruptions
#define DISABLE() asm volatile("cli")
#define ENABLE()  asm volatile("sti")

//  H E A D E R S

#include "timer.h"
#include "joystick.h"
