/*


    /\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\
   /                                                                      \
   \      ___   _____   _____   _   __           _____   _____  __  __    /
   /     |_  | |___  | |  _  | | | / /          |  _  \ |  _  | \ \/ /    \
   \       | |  ___| | | | |_| | |/ /           | |_/ / | | | |  \  /     /
   /    _  | | |  _  | | |  _  |   <    in the  |  _ <  | | | |   ><      \
   \   | |_| | | |_| | | |_| | | |\ \           | |_| \ | |_| |  /  \     /
   /   |_____| |_____| |_____| |_| \_\          |_____/ |_____| /_/\_\    \
   \                                                                      /
   /                                                                      \
   \                                                                      /
   /             C    O    M    P    U    T    I    N    G                \
   \                                                                      /
    \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/

*/


//============================================================================
// Module  : JOYSTICK HEADER
// Contents: joystick controlling
// Date    : 06.09.1997
// Updates : (none)
//============================================================================

//"public" methods:

//install given joystick number (1 or 2)
int mInstallJoystick(int nJoystick);

//uninstall all joysticks
void mUninstallJoysticks();

//callibrate given joystick number (1 or 2)
int mCallibrateJoystick(int nJoystick);

//read values from the given joystick number
int mReadJoystick(int nJoystick, int *pnUp, int *pnDown, 
                  int *pnLeft, int *pnRight, int *pnA, int *pnB);
